vlib_data Struct Reference

Primary data structure used in the library. More...

`#include <vlib.h>`

## Data Fields

unsigned int | isLoaded:1
| Library loaded or not.
unsigned int | unloading:1
| Library unloaded.
unsigned int | isValid:1
| Repositoy valid or not This flag is set for instance if a loss of events is detected.
int | loglevel
| loglevel for library Default is 0 – no logging.
FILE * | errfp
| file used for logging Default is stderr.
struct block | adapters
| List of adapters In fact this is the anchor of the library's repository.
pthread_t | id
| Pthread ID of event handling thread.
pthread_mutex_t | mutex
| Protects this structure.

## Detailed Description

Primary data structure used in the library.

The documentation for this struct was generated from the following file:

- vlib.h